Bug 1303173 - RFE: Improvements to RenewalNotificationJob
RFE: Improvements to RenewalNotificationJob
Status: NEW
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: pki-core (Show other bugs)
7.3
Unspecified Unspecified
unspecified Severity unspecified
: rc
: 7.4
Assigned To: Christina Fu
Asha Akkiangady
: FutureFeature
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2016-01-29 13:41 EST by Matthew Harmsen
Modified: 2018-01-01 20:14 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Matthew Harmsen 2016-01-29 13:41:11 EST
This bug is created as a clone of upstream ticket:
https://fedorahosted.org/pki/ticket/1635

CS should have a configurable setting to notify users that a certificate is about to expire.  The notification period should be defined by the CS admin to notify the user X seconds before a certificate expires.  The email address users input when requesting certificate should be used for these notifications.  Finally, these advanced notifications should be enabled/disabled on a per-profile basis.

Use case:

1) I obtain a user certificate via CLI or GUI.  90 days before that certificate expires I would receive a notification with a URL to go renew that certificate.

2) I generate a CSR and request a server certificate.  Since this will be used in production, the email address I use is a team alias. 90 days before the certificate expires, the team alias email address receives a notification to renew the cert.
Comment 2 Matthew Harmsen 2016-04-20 18:17:18 EDT
Per CS Bug/Ticket Triage held 04/19/2016:  RHEL 7.4

Note You need to log in before you can comment on or make changes to this bug.